body {
    background-color: #151515;
    font-family: Avenir;
    font-size: 18px;
    color: #ffffff;
    line-height: 1.4em;
    margin: 0px;
    padding: 0px;
}

/* ---------- banner ---------- */

.banner {
    display: grid;
    grid-template-areas: 
    "left-banner"
    "right-banner";
}

div.left-banner {
    grid-area: left-banner;
    background-color: #0b222b;
    height: 90vh;
}

div.right-banner {
    grid-area: right-banner;
    background-image: url("../images/photocover.jpg");
    background-size: cover;
    height: 90vh;
}

@media (min-width: 800px) {
    .banner {
        grid-template-columns: 1.5fr 1fr;
        grid-template-areas: 
        "left-banner right-banner";
    } 
}

@media (max-width: 768px) {
    div.right-banner {
        height: 100vh;
    }
}

@media (max-width: 480px) {
    div.right-banner {
        height: 60vh;
    }
}


/* ----- left banner ----- */

.vl {
    border-left: 2px solid #2e3c41;
    height: 40px;
    margin-top: 10px;
  }


div.navbar {
    grid-area: navbar;
}

.navbar {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.brand-title {
    margin: .5rem;
    padding-top: 5px;
}

.navbar-links ul {
    margin: 0;
    padding: 0;
    display: flex;
}

.navbar-links li {
    list-style: none;
    padding-top: 8px;
}

.navbar-links li a {
    text-decoration: none;
    color: #ffffff;
    padding: 1rem;
    display: block;
}

.navbar-links li a:hover {
    color: #f6ba00;
}

.toggle-button {
    position: absolute;
    top: .75rem;
    right: 1rem;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 21px;
}

.toggle-button .bar {
    height: 3px;
    width: 85%;
    background-color: #ffffff;
    border-radius: 10px;
}

@media (min-width: 1024px) {
    .brand-title {
        margin-left: 80px;
        padding-right: 15px;
    }

    .navbar-links {
        margin-right: 80px;
    }
}

@media  (max-width: 800px) {
    .toggle-button {
        display: flex;
        margin-top: 10px;
    }

    .navbar-links {
        display: none;
        width: 100%;
    }

    .navbar {
        flex-direction: column;
        align-items: flex-start;
    }

    .navbar-links ul {
        width: 100%;
        flex-direction: column;
    }

    .navbar-links li {
        text-align: center;
    }

    .navbar-links li a {
        padding: .5rem .1rem;
    }

    .navbar-links.active {
        display: flex;
    }

    div.brand-title {
        padding-left: 10px;
    }

    div.navbar-links {
        padding-right: 10px;
    }
}

@media (max-width: 800px) {
    .vl {
        display: none;
    }

    div.left-banner {
        height: 100vh;
    }
}

/* ----- left banner ----- */

/* ----- banner content ----- */

.banner-content {
    padding-top: 40px;
    padding-left: 80px;
    padding-right: 80px;
}

h1 {
    font-size:65px;
    font-weight: 900;
    padding-bottom: 30px;
    line-height: 1em;
}

.banner-content p {
    font-size: 20px;
    line-height: 1.4em;
}

.btn {
    border: 2px solid #edb301;
    background-color: transparent;
    height: 40px;
    padding: 14px 28px;
    font-size: 18px;
    cursor: pointer;
    text-align: center;
    width: 150px;
}

.btn a {
    text-decoration: none;
}

.btn p {
    color: #edb301;
    padding-top: 10px;
}

@media (min-width: 800px) {
    .banner-content {
        padding-top: 30px;
    }
}

@media (max-width: 480px) {
    .banner-content {
        padding-top: 30px;
        padding-left: 20px;
        padding-right: 20px;
    }

    h1 {
        font-size: 45px;
    }
}


/* ----- banner content ----- */

/* ---------- end banner ---------- */

/* ---------- service ---------- */

.service {
    padding: 50px 80px 50px 80px;
}

h2 {
    font-size:30px;
    font-weight: 900;
    padding-bottom: 30px;
    line-height: 1em;
}

h3 {
    font-size:25px;
    font-weight: 900;
    line-height: 1em;
    padding-top: 20px;
}

hr {
    border: 1px solid #ffffff;
}

@media (max-width: 480px) {
    .service {
        padding-top: 30px;
        padding-bottom: 30px;
        padding-left: 20px;
        padding-right: 20px;
    }
}

.service-container {
    display: grid;
    grid-template-areas:
    "service1"
    "service2"
    "service3"
    "service4";
}

div.service1 {
    grid-area: service1;
    padding: 20px;
}

div.service2 {
    grid-area: service2;
    padding: 20px;
}

div.service3 {
    grid-area: service3;
    padding: 20px;
}

div.service4 {
    grid-area: service4;
    padding: 20px;
}

.services-icon img {
    width: 70px;
    height: 70px;
    justify-content: flex-start;
}

.service-details {
    display: grid;
    padding-bottom: 20px;
    grid-template-columns: 1fr 2.4fr;
    grid-template-areas: 
    "services-icon services-title";
}

@media (min-width: 800px) {
    .service-container {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-template-areas:
        "service1 service2 service3 service4";
    }
}

/* ---------- end service ---------- */


/* ---------- about ---------- */

.about {
    padding: 50px 80px 50px 80px;
}

.about-container {
    display: grid;
    padding-top: 20px;
    grid-template-areas: 
    "about-photo"
    "about-content";
}

.about-photo img {
    width: 100%;
    padding-bottom: 10px;
}

.about-content {
    padding-left: 30px;
}

@media (min-width: 800px) {
    .about-container {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-areas: 
        "about-photo about-content";
    }
}

@media (max-width: 768px) {
    .about-content {
        padding-top: 20px;
        padding-left: 0px;
    }
}

@media (max-width: 480px) {
    .about {
        padding-top: 30px;
        padding-right: 30px;
        padding-left: 20px;
        padding-right: 20px;
    }

    .about-content {
        padding-left: 0;
        padding-top: 10px;
    }
}

/* ---------- end about ---------- */


/* ---------- form ---------- */

.form {
    background-image: url("../images/formphoto.jpg");
    padding: 50px 80px 50px 80px;
}

.form-container {
    display: grid;
    padding-top: 20px;
    grid-template-areas: 
    "form-fillup"
    "form-content";
}

.form-fillup {
    padding-bottom: 10px;
}

.form-content {
    padding-left: 30px;
}


input[type=text], select, textarea {
    background-color: #e1e1e1;
    width: 100%;
    height: 55px;
    padding: 10px;
    border: 1px solid #ccc;
    box-sizing: border-box;
    margin-bottom: 10px;
    resize: vertical;
    font-weight: 200;
    font-size: 18px;
}
  
input[type=submit] {
    background-color: #edb301;
    color: white;
    padding: 10px 25px;
    border: none;
    cursor: pointer;
    font-size: 20px;
    font-weight: 600;
    width: 100%;
    height: 55px;
}

.cvv-zip {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(75px, 1fr));
    grid-template-areas:
    "cvv"
    "zip";
}

div.cvv {
    grid-area: cvv;
}

div.zip {
    grid-area: zip;   
}

@media (min-width: 768px) {
    .cvv-zip {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(75px, 1fr));
        grid-template-areas:
        "cvv zip";
    }

    .cvv {
        padding-right: 10px;
    }
}
    
.month-date {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(75px, 1fr));
    grid-template-areas:
    "month"
    "date";
    }
    
    div.month{
        grid-area: month;
    }
    
    div.date {
        grid-area: date;
    }
    
@media (min-width: 768px) {
    .month-date {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(75px, 1fr));
        grid-template-areas:
        "month date";
        }
        
    .month {
        padding-right: 10px;
        }
}

@media (max-width: 425px) {
    .month {
        padding-right: 0px;
    }

    .form {
        padding: 30px 30px 30px 30px;
    }
}

@media (max-width: 425px) {
    .month {
        padding-right: 0px;
    }

    .form {
        padding: 50px 30px 50px 30px;
    }
}

@media (min-width: 1440px) {
    .join-form {
        height: 55vh;
    }
}

@media (min-width: 1024px) {
    .join-form {
        height: 63vh;
    }
}

@media (min-width: 800px) {
    .form-container {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-areas: 
        "form-fillup form-content";
    }
}

@media (max-width: 768px) {
    .form-content {
        padding-top: 20px;
        padding-left: 0px;
    }

    .join-form {
        height: 65vh;
    }
}

@media (max-width: 480px) {
    .form {
        padding-top: 30px;
        padding-right: 30px;
        padding-left: 20px;
        padding-right: 20px;
    }

    .form-content {
        padding-left: 0px;
        padding-top: 20px;
    }

    .join-form {
        height: 70vh;
    }
}

/* ---------- end form ---------- */


/* ---------- footer ---------- */

.footer {
    padding: 50px 80px 50px 80px;
    background-color: #111;
}

.footer-container {
    display: grid;
    padding-top: 20px;
    padding-bottom: 20px;
    grid-template-areas: 
    "address"
    "logo2";
}

.logo2 {
    padding-left: 30px;
}

.allriche {
    padding-top: 10px;
    padding-bottom: 10px;
}

.info {
    font-size: 18px;
}

.social-footer {
    display: grid;
    display: flex;
    padding-top: 10px;
    grid-template-columns: repeat(5, 1fr);
    grid-template-areas:
    "facebook-footer instagram-footer twiter-footer";
  }

  div.facebook-footer {
    grid-area: facebook-footer;
    height: 45px;
    width: 45px;
    padding: 8px;
  }

  div.instagram-footer {
    grid-area: instagram-footer;
    height: 45px;
    width: 45px;
    padding: 8px;
  }

  div.twiter-footer{
    grid-area: twiter-footer;
    height: 45px;
    width: 45px;
    padding: 8px;
  }


@media (min-width: 800px) {
    .footer-container {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-areas: 
        "address logo2";
    }
}

@media (max-width: 768px) {
    .logo2 {
        padding-top: 20px;
        padding-left: 0px;
    }
}

@media (max-width: 480px) {
    .footer {
        padding-top: 30px;
        padding-right: 30px;
        padding-left: 20px;
        padding-right: 20px;
    }

    .logo2 {
        padding-left: 0px;
        padding-top: 20px;
    }
}

/* ---------- end footer ---------- */

